package com.jz.dm.mall.moduls.service;

import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.controller.finance.bean.FinanceCashOutDto;
import com.jz.dm.mall.moduls.controller.finance.bean.FinanceCashOutRequest;
import com.jz.dm.mall.moduls.controller.finance.bean.FinanceCustomerAssetsDto;
import com.jz.dm.mall.moduls.controller.finance.bean.FinanceCustomerBalanceRequest;

import java.util.Map;

/**
 * 企业客户交易流水(TFinanceTradeFlow)表服务接口
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:39
 */
public interface FinanceTradeFlowService {


    FinanceCustomerAssetsDto queryAccountMoneyByMap(Map map) throws Exception;

    Boolean uptAccountMoney(FinanceCustomerBalanceRequest financeCustomerBalanceRequest) throws Exception;

    FinanceCashOutDto getCashOutAuditStutas(Map map) throws Exception;

    Result<Object> addCashOutMoney(FinanceCashOutRequest financeCashOutRequest) throws Exception;
}